## ros-indigo-rocon-interactions 0.1.23

=== debian/changelog ===
ros-indigo-rocon-interactions (0.1.23-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 12 Jul 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.22-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 12 Jul 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.21-1trusty) trusty; urgency=high

  * Revert "Enterprise mode for interactions (interaction with a required running rapp)"
  * added optional silencer for rappwatcher
  * [rocon_interactions] better exception handling.
  * [rocon_interactions] deal with required action server detection, pep8 and cleanup.
  * Merge pull request #89 <https://github.com/robotics-in-concert/rocon_tools/issues/89> from asmodehn/gocart
    Gocart
  * added a callback to signal when the list of interactions might have changed
  * now getting running rapp from status topic.
    Also replacing the original public_interface with the published one.
  * cleanup and fixes on required rapp verification.
  * adding required field for interaction
    adding rapp_watcher and extending rapp_handler.
  * Contributors: AlexV, Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.20-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 31 May 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.19-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 26 May 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.18-1trusty) trusty; urgency=high

  * get_interctions accept empty rocon_uri as wild card closes #85 <https://github.com/robotics-in-concert/rocon_tools/issues/85>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.17-1trusty) trusty; urgency=high

  * ros param binding to resolve #81 <https://github.com/robotics-in-concert/rocon_tools/issues/81>
  * set the defualt values in interactions.js
  * Contributors: Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.16-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Mar 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.15-1trusty) trusty; urgency=high

  * [rocon_interactions] android demo finally working.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.14-1trusty) trusty; urgency=high

  * default icon if resource is not found  closes #76 <https://github.com/robotics-in-concert/rocon_tools/issues/76>
  * resource to filepath
  * fix wrong code documents
  * fix bug
  * load fucntion divide up into loading from file and resource part
  * update interaction loader for running with absolute path
  * Contributors: Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.13-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.12-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.11-1trusty) trusty; urgency=high

  * add webserver address example
  * fix invalid compatibility fix #67 <https://github.com/robotics-in-concert/rocon_tools/issues/67>
  * webserver address dynamic binding
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.10-1trusty) trusty; urgency=high

  * update web interaction examples
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.9-1trusty) trusty; urgency=high

  * Fix timeouts
  * move from symbolic links to includes for changelogs to avoid eclipse bewilderment.
  * Contributors: Daniel Stonier, kentsommer

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.7-1trusty) trusty; urgency=high

  * documentation specifying updated roslaunch/rosrunnable/web app use of parameters and remaps.
  * be robust against socket errors with the master, we must keep spinning.
  * update rospy publisher queue_size to avoid warning in indigo.
  * missing dependency on rocon_app_manager_msgs, fixes #43 <https://github.com/robotics-in-concert/rocon_tools/issues/43>.
  * bugfix initialisation of variables to fix pairing stop app problems, #38 <https://github.com/robotics-in-concert/rocon_tools/issues/38>.
  * increase timeout for waiting for rapp manager, refs #37 <https://github.com/robotics-in-concert/rocon_tools/issues/37>.
  * Contributors: Daniel Stonier, Jihoon Lee, Marcus Liebhardt

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.5-1trusty) trusty; urgency=high

  * threadified the interactions manager rapp handler find routine, closes #37 <https://github.com/robotics-in-concert/rocon_tools/issues/37>.
  * pairing interactions support, #34 <https://github.com/robotics-in-concert/rocon_tools/issues/34>.
  * web_url(), web_app() specifications for web_urls and web_apps, #33 <https://github.com/robotics-in-concert/rocon_tools/issues/33>.
  * Contributors: Daniel Stonier, Jack O'Quin

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 May 2014 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.4-1trusty) trusty; urgency=high

  * bugfix get_interaction callback, return the msg, not the class, #24 <https://github.com/robotics-in-concert/rocon_tools/issues/24>
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-indigo-rocon-interactions (0.1.3-1trusty) trusty; urgency=high


