=== debian/control ===
Source: ros-indigo-rocon-interactions
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-indigo-catkin, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-rosunit
Homepage: http://ros.org/wiki/rocon_interactions
Standards-Version: 3.9.2

Package: ros-indigo-rocon-interactions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-genpy, ros-indigo-rocon-app-manager-msgs, ros-indigo-rocon-bubble-icons, ros-indigo-rocon-console, ros-indigo-rocon-icons, ros-indigo-rocon-interaction-msgs, ros-indigo-rocon-python-comms, ros-indigo-rocon-python-utils, ros-indigo-rocon-std-msgs, ros-indigo-rocon-uri, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-unique-id
Description: Interaction management for human interactive agents in the concert.
